<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<groupId>br.edu.ufcg.ccc</groupId>
	<artifactId>submission</artifactId>
	<version>1.0</version>
	<packaging>jar</packaging>
	<name>Submissao de roteiro</name>

	<pluginRepositories>
		<pluginRepository>
			<id>ufcg-leda</id>
			<url>http://150.165.15.10:8081/nexus/content/repositories/ufcg-leda</url>
			<layout>default</layout>
			<snapshots>
				<enabled>true</enabled>
				<updatePolicy>always</updatePolicy>
			</snapshots>
		</pluginRepository>
	</pluginRepositories>

	<dependencies>
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<version>4.13.1</version>
		</dependency>
	</dependencies>
	<build>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>3.8.1</version>
				<configuration>
					<source>1.8</source>
					<target>1.8</target>
				</configuration>
			</plugin>
			<plugin>
				<artifactId>maven-clean-plugin</artifactId>
				<version>3.1.0</version>
				<executions>
					<execution>
						<id>auto-clean</id>
						<phase>build</phase>
						<goals>
							<goal>clean</goal>
						</goals>
					</execution>
				</executions>
			</plugin>

			<plugin>
				<groupId>br.edu.ufcg.ccc</groupId>
				<artifactId>leda-compactor-tool</artifactId>
				<version>1.0.0-SNAPSHOT</version>
				<executions>
					<execution>
						<phase>install</phase>
						<goals>
							<goal>compact</goal>
						</goals>
						<configuration>
							<!-- insira sua matricula -->
							<matricula>122110736</matricula>
							<!-- insira o ID correto da atividade e a turma -->
							<roteiro>R12-01</roteiro>
							<!-- NÃO MODIFIQUE AS TAGS ABAIXO -->
							<semestre>2023.1</semestre>
							<url>http://150.165.15.10:81/submitAtividade</url>
						</configuration>
					</execution>
				</executions>
			</plugin>
		</plugins>
	</build>
</project>
